# RPM spec file for sympaadmin

%define name    sympaadmin
%define version 1.91
%define release 6

Name:    %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: Tool for Sympa administrators

License: GPLv2
Group:   Applications/Communications

URL:     http://www.uio.no/tjenester/it/e-post-kalender/e-postlister/sympaadmin/
Source0: http://www.uio.no/tjenester/it/e-post-kalender/e-postlister/sympaadmin/%{name}-%{version}.tar.gz

Requires: perl(Net::SSLeay)
Requires: perl(Data::Dumper)
Requires: perl(Getopt::Long)
Requires: perl(HTTP::Cookies)
Requires: perl(LWP::Protocol::https)
Requires: perl(MIME::Tools)
Requires: perl(Pod::Usage)
Requires: perl(SOAP::Lite)
Requires: perl(Term::ReadKey)
Requires: perl(Term::ReadLine)
Requires: perl(Term::ReadLine::Gnu)
Requires: perl(Text::Abbrev)

BuildRequires: /usr/bin/pod2man
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%{?perl_default_filter}

%description
Command line utility for administering Sympa mailing lists.

%prep
%setup -q

%build
/usr/bin/pod2man --section=1 --release=%{version} --center='User Commands' %{name}.pl %{name}.1

%install
install -m 0755 -Dp %{name}.pl %{buildroot}%{_bindir}/%{name}
install -m 0644 -Dp %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Jun 30 2021 Håvard Barkhall <havard.barkhall@usit.uio.no> - 1.91-6
- changed Crypt::SSLeay to Net::SSLeay for RHEL8

* Fri Apr 20 2018 Sivert Kronen Hatteberg <sivert.hatteberg@usit.uio.no> - 1.91-5
- LWP::Protocol::https moved to its own package on >= rh7

* Thu Apr 19 2018 Sivert Kronen Hatteberg <sivert.hatteberg@usit.uio.no> - 1.91-4
- Dummy tag to build the same verson el6, el7, f26 and f27

* Tue Sep 12 2017 Sivert Kronen Hatteberg <sivert.hatteberg@usit.uio.no> - 1.91-3
- Removed some unused requirments.

* Thu Sep  7 2017 Sivert Kronen Hatteberg <sivert.hatteberg@usit.uio.no> - 1.91-2
- Error in requirments.

* Thu Sep  7 2017 Sivert Kronen Hatteberg <sivert.hatteberg@usit.uio.no> - 1.91-1
- New upstream URL.
- Added requirments.
- Fixed terminal bug.

* Wed Dec 10 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 1.9-2
- New upstream URL

* Thu Jul  3 2014  Bente Christine Aasgaard <b.c.aasgaard@usit.uio.no> 
- Building version 1.9.
- Specify utf8 to podtoman.

* Fri Sep  2 2011 Bente Christine Aasgaard <b.c.aasgaard@usit.uio.no> - 1.8-3
- Spec file fixes

* Tue Mar  8 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 1.8-2
- Spec file fixes

* Tue Feb 22 2011 Bente Christine Aasgaard <b.c.aasgaard@usit.uio.no>
- Fixed subscription reject bug.

* Mon Nov  2 2009 Bente Christine Aasgaard <b.c.aasgaard@usit.uio.no> 
- Don\'t try to moderate lists without ownership.
- Handle configfiles with non UNIX line terminators.
- Add directive nomoderate.

* Fri Oct  2 2009 Peder Stray <peder@ifi.uio.no>
- Removed some Require-lines that are autogenerated and superflous /.
- Include all files installed.

* Fri Oct  2 2009 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
- Small changes to the spec file.

* Thu Oct  1 2009 Bente Christine Aasgaard <b.c.aasgaard@usit.uio.no>
- building version 1.3 as original rpm.
